Subject: Re: [iccrg] [tsvwg] L4S in 5G networks : Master thesis by Davide Brunello

From: Sebastian Moeller <[email-masked]>
Date: Wed, 4 Nov 2020 15:37:46 +0100

Hi Ingemar,

thanks for posting that. A question you might help me out with. In the abstract Davide reports "The improvement on latency comes with an intrinsic trade-off between throughput and latency", but one of L4S# claims is: 
https://tools.ietf.org/html/draft-ietf-tsvwg-l4s-arch-07#section-1:
This new class of

   congestion control can provide low latency for capacity-seeking
   flows, so applications can achieve both high bandwidth and low
   latency."
 
 Why do you believe did you end up not seeing that realized? 

Best Regards
        Sebastian

P.S.: In the thesis section 7.3 Reflections, I read:
"The second L4S objective is to drastically reduce the probability of having a packet loss on the network. These characteristics can have an impact also from a sustainability perspective since they can CHAPTER 7. CONCLUSIONS 81 contribute to better management of resources and a consequent energy saving. Every bit or packet transmitted through a communication network has a cost in terms of energy, and if a packet is lost during the path, the energy required to transmit the packet is wasted. Moreover, if a retransmission is needed after a loss, additional energy is required to send again the packet that was lost. It is clear that if thanks to L4S the probability of a packet loss is reduced, and from the results the packet loss rate with L4S is very close to zero, energy waste is avoided."

I wonder what advantage L4S offers in that regards over rfc 3168? The thesis cursory mentions rfc 3168, yes, but I have a feeling that this section was not checked in regards to whether L4S actually offers anything new in that regard.

Gesendet: Donnerstag, 29. Oktober 2020 um 11:33 Uhr
Von: "Ingemar Johansson S" <ingemar.s.johansson=[email-masked]>
An: "[email-masked]" <[email-masked]>
Cc: "Ingemar Johansson S" <[email-masked]>, "[email-masked]" <[email-masked]>
Betreff: [tsvwg] L4S in 5G networks : Master thesis by Davide Brunello

Hi folks
 
A master thesis by Davide Brunello (with me as supervisor at Ericsson) is now published
https://kth.diva-portal.org/smash/record.jsf?dswid=-6303&pid=diva2%3A1484466&c=1&searchType=SIMPLE&language=en&query=brunello&af=%5B%5D&aq=%5B%5B%5D%5D&aq2=%5B%5B%5D%5D&aqe=%5B%5D&noOfRows=50&sortOrder=author_sort_asc&sortOrder2=title_sort_asc&onlyFullText=false&sf=all
 
Abstract :
Low Latency Low Loss Scalable Throughput (L4S) is a technology which aims to provide high throughput and low latency for the IP traffic, lowering also the probability of packet loss. To reach this goal, it relies on Explicit Con- gestion Notification (ECN), a mechanism to signal congestion in the network avoiding packets drop. The congestion signals are then managed at sender and receiver side thanks to scalable congestion control algorithms. Initially, in this work the challenges to implement L4S in a 5G network have been analyzed. Using a proprietary state-of-the-art network simulator, L4S have been implemented at the Packed Data Convergence Protocol layer in a 5G network. The 5G network scenario represents a context where the physical layer has a carrier frequency of 600 MHz, a transmission bandwidth of 9 MHz, and the proto- col stack follows the New Radio (NR) specifications. L4S has been adopted to support Augmented Reality (AR) video gaming traffic, using the IETF experimental standard Self-Clocked Rate Adaptation for Multimedia (SCReAM) for congestion control. The results showed that when supported by L4S, the video gaming traffic experiences lower delay than without L4S support. The improvement on latency comes with an intrinsic trade-off between throughput and latency. In all the cases analyzed, L4S yields to average application layer throughput above the minimum requirements of high-rate latency-critical ap- plication, even at high system load. Furthermore, the packet loss rate has been significantly reduced thanks to the introduction of L4S, and if used in combi- nation with a Delay Based Scheduler (DBS), a packet loss rate very close to zero has been reached.
 
/Ingemar
================================
Ingemar Johansson  M.Sc.
Master Researcher
 
Ericsson Research
RESEARCHER
GFTL ER NAP NCM Netw Proto & E2E Perf
Labratoriegränd 11
977 53, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]
www.ericsson.com[http://www.ericsson.com/]
 
Talk about a dream, try to make it real
                  Bruce Springsteen
=================================

---

From: Ingemar Johansson S <[email-masked]>
Date: Wed, 4 Nov 2020 15:14:13 +0000

Hi Sebastian

Please see inline

/Ingemar

> -----Original Message-----
> From: Sebastian Moeller <[email-masked]>
> Sent: den 4 november 2020 15:38
> To: Ingemar Johansson S
> <ingemar.s.johansson=[email-masked]>
> Cc: [email-masked]; Ingemar Johansson S
> <[email-masked]>; [email-masked]
> Subject: Aw: [tsvwg] L4S in 5G networks : Master thesis by Davide Brunello
> 
> 
> Hi Ingemar,
> 
> 
> thanks for posting that. A question you might help me out with. In the abstract
> Davide reports "The improvement on latency comes with an intrinsic trade-off
> between throughput and latency", but one of L4S# claims is:

[IJ] The reason is that realtime video is a rate limited source, furthermore the video frame sizes vary +/- 20% or more around the nominal, this means that the video target rate is set to accommodate a headroom so that the larger frames do not cause extra network delay. This is the case when the L4S marking is based on measurement of the queue delay on the RLC layer. Please note that this is an observation with the case that we use SCReAM and that the L4S marking is based on an actual queue delay. Other CCs and/or a virtual queue approach can give other results.

> "The second L4S objective is to drastically reduce the probability of having a
> packet loss on the network. These characteristics can have an impact also
> from a sustainability perspective since they can CHAPTER 7. CONCLUSIONS 81
> contribute to better management of resources and a consequent energy
> saving. Every bit or packet transmitted through a communication network has
> a cost in terms of energy, and if a packet is lost during the path, the energy
> required to transmit the packet is wasted. Moreover, if a retransmission is
> needed after a loss, additional energy is required to send again the packet
> that was lost. It is clear that if thanks to L4S the probability of a packet loss is
> reduced, and from the results the packet loss rate with L4S is very close to
> zero, energy waste is avoided."
> 
> I wonder what advantage L4S offers in that regards over rfc 3168? The thesis
> cursory mentions rfc 3168, yes, but I have a feeling that this section was not
> checked in regards to whether L4S actually offers anything new in that regard.

[IJ] The thesis was limited to L4S.  RFC3168 ECN has been pitched over the years in 3GPP for > 5 years years and is also in the 3GPP standards (TS36.300, 38.300), still it  has never flied. One can argue around the reasons. In any case, we see that L4S gets more attention and therefore we chose focus the thesis around it. In cannot be ruled out that RFC3168 ECN may be deployed if L4S becomes deployed and used but this just becomes speculation.. We need to see things happening for real before we can say anything.

> Von: "Ingemar Johansson S"
> <ingemar.s.johansson=[email-masked]>
> A master thesis by Davide Brunello (with me as supervisor at Ericsson) is now
> published https://kth.diva-portal.org/smash/record.jsf?dswid=-
> 6303&pid=diva2%3A1484466&c=1&searchType=SIMPLE&language=en&que
> ry=brunello&af=%5B%5D&aq=%5B%5B%5D%5D&aq2=%5B%5B%5D%5D&aqe
> =%5B%5D&noOfRows=50&sortOrder=author_sort_asc&sortOrder2=title_sor
> t_asc&onlyFullText=false&sf=all
> 
> Abstract :
> Low Latency Low Loss Scalable Throughput (L4S) is a technology which aims to
> provide high throughput and low latency for the IP traffic, lowering also the
> probability of packet loss. To reach this goal, it relies on Explicit Con- gestion
> Notification (ECN), a mechanism to signal congestion in the network avoiding
> packets drop. The congestion signals are then managed at sender and
> receiver side thanks to scalable congestion control algorithms. Initially, in this
> work the challenges to implement L4S in a 5G network have been analyzed.
> Using a proprietary state-of-the-art network simulator, L4S have been
> implemented at the Packed Data Convergence Protocol layer in a 5G network.
> The 5G network scenario represents a context where the physical layer has a
> carrier frequency of 600 MHz, a transmission bandwidth of 9 MHz, and the
> proto- col stack follows the New Radio (NR) specifications. L4S has been
> adopted to support Augmented Reality (AR) video gaming traffic, using the
> IETF experimental standard Self-Clocked Rate Adaptation for Multimedia
> (SCReAM) for congestion control. The results showed that when supported by
> L4S, the video gaming traffic experiences lower delay than without L4S
> support. The improvement on latency comes with an intrinsic trade-off
> between throughput and latency. In all the cases analyzed, L4S yields to
> average application layer throughput above the minimum requirements of
> high-rate latency-critical ap- plication, even at high system load. Furthermore,
> the packet loss rate has been significantly reduced thanks to the introduction
> of L4S, and if used in combi- nation with a Delay Based Scheduler (DBS), a
> packet loss rate very close to zero has been reached.
> 
> /Ingemar

---

From: Sebastian Moeller <[email-masked]>
Date: Wed, 4 Nov 2020 16:33:49 +0100

Hi Ingemar,

thanks, more below inline, prefixed with [SM].

> Gesendet: Mittwoch, 04. November 2020 um 16:14 Uhr
> Von: "Ingemar Johansson S" <[email-masked]>
> An: "Sebastian Moeller" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "Ingemar Johansson S" <[email-masked]>
> Betreff: RE: [tsvwg] L4S in 5G networks : Master thesis by Davide Brunello
>
> Hi Sebastian
> 
> Please see inline
> 
> /Ingemar
> 

        [SM] Hrm, that makes sense, but also puts a damper on the L4S claim, but then I mostly considered low latency for capacity seeking flows a solution searching for a problem. But that is just me, thanks for your rationale.

> [IJ] The thesis was limited to L4S.  RFC3168 ECN has been pitched over the years in 3GPP for > 5 years years and is also in the 3GPP standards (TS36.300, 38.300), still it  has never flied. One can…

        [SM] Ah, okay. My point was less about the motivation to focus on L4S, but about the fact that the feature pitched here, less packet loss, really is not something novel that L4S introduces. What I like is that I have a slightly better feeling how scheduling in 5G behaves (not to kid myself, I am merely scratching the surface).

Thanks for posting the link.